Submit your inspiring success story or innovative use case to the 2022 Dataiku Frontrunner Awards! ENTER YOUR SUBMISSION

Dataiku DSS start failed : Download failed: unable to get local issuer certificate

Rvk
Level 1
Dataiku DSS start failed : Download failed: unable to get local issuer certificate

Dataiku DSS start failed :

Download failed: unable to get local issuer certificate 

 

Dataiku is not starting in the Macos 12.3.1 , the installation file is downloaded again from the Dataiku website tried reinstall multiple times

2022-06-21 11:01:40.749 +0400] INFO: Getting latest Dataiku DSS info from https://cdn.downloads.dataiku.com/public/launcher/dss-latest.json
[2022-06-21 11:01:41.087 +0400] ERROR: Error calling https://cdn.downloads.dataiku.com/public/launcher/dss-latest.json
[2022-06-21 11:01:41.087 +0400] ERROR (RequestError): unable to get local issuer certificate
RequestError: unable to get local issuer certificate
at ClientRequest.<anonymous> (/Applications/DataScienceStudio.app/Contents/Resources/app.asar/node_modules/got/dist/source/core/index.js:956:111)
at Object.onceWrapper (events.js:422:26)
at ClientRequest.emit (events.js:327:22)
at ClientRequest.origin.emit (/Applications/DataScienceStudio.app/Contents/Resources/app.asar/node_modules/@szmarczak/http-timer/dist/source/index.js:43:20)
at TLSSocket.socketErrorListener (_http_client.js:469:9)
at TLSSocket.emit (events.js:315:20)
at emitErrorNT (internal/streams/destroy.js:106:8)
at emitErrorCloseNT (internal/streams/destroy.js:74:3)
at processTicksAndRejections (internal/process/task_queues.js:80:21)
at TLSSocket.onConnectSecure (_tls_wrap.js:1497:34)
at TLSSocket.emit (events.js:315:20)
at TLSSocket._finishInit (_tls_wrap.js:932:8)
at TLSWrap.ssl.onhandshakedone (_tls_wrap.js:706:12)
[2022-06-21 11:01:41.534 +0400] INFO: testing that dependencies are properly working
[2022-06-21 11:01:41.536 +0400] INFO: /Users/dsg281/Library/DataScienceStudio/Java/jdk8u322-b06/Contents/Home/bin/java does not exist.
[2022-06-21 11:01:41.536 +0400] INFO: /Users/dsg281/Library/DataScienceStudio/Python/python3.7-20220516/bin/python3.7 does not exist.


Operating system used: macos

0 Kudos
5 Replies
AlexT
Dataiker
Dataiker

Hi @Rvk ,

 

Are you using the macOS installer? Can you confirm if you have installed supported Java JDK? 

https://doc.dataiku.com/dss/latest/installation/other/osx.html#macos-prerequisites

Please try installing java first and then run the installer again and share what error you are seeing. 

Thanks,

0 Kudos
AlexandreV
Dataiker
Dataiker

Hello @Rvk ,

This morning Cloudflare had a service issue (more details here ) that made https://cdn.downloads.dataiku.com/public/launcher/dss-latest.json un reachable for a short time (this was quickly resolved). It seems that unluckily you installed Dataiku DSS during this incident.

Could you try to relaunch the DataScienceStudio app? (no need to download it again)

 

Best,

Alex

0 Kudos
Rvk
Level 1
Author

Getting same error

[2022-06-22 15:22:17.760 +0400] INFO: Update for version 1.3.4 is not available (latest version: 1.3.4, downgrade is disallowed).
[2022-06-22 15:22:18.149 +0400] INFO: Getting latest Dataiku DSS info from https://cdn.downloads.dataiku.com/public/launcher/dss-latest.json
[2022-06-22 15:22:18.275 +0400] ERROR: Error calling https://cdn.downloads.dataiku.com/public/launcher/dss-latest.json
[2022-06-22 15:22:18.275 +0400] ERROR (RequestError): unable to get local issuer certificate
RequestError: unable to get local issuer certificate
at ClientRequest.<anonymous> (/Applications/DataScienceStudio.app/Contents/Resources/app.asar/node_modules/got/dist/source/core/index.js:956:111)
at Object.onceWrapper (events.js:422:26)
at ClientRequest.emit (events.js:327:22)
at ClientRequest.origin.emit (/Applications/DataScienceStudio.app/Contents/Resources/app.asar/node_modules/@szmarczak/http-timer/dist/source/index.js:43:20)
at TLSSocket.socketErrorListener (_http_client.js:469:9)
at TLSSocket.emit (events.js:315:20)
at emitErrorNT (internal/streams/destroy.js:106:8)
at emitErrorCloseNT (internal/streams/destroy.js:74:3)
at processTicksAndRejections (internal/process/task_queues.js:80:21)
at TLSSocket.onConnectSecure (_tls_wrap.js:1497:34)
at TLSSocket.emit (events.js:315:20)
at TLSSocket._finishInit (_tls_wrap.js:932:8)
at TLSWrap.ssl.onhandshakedone (_tls_wrap.js:706:12)
[2022-06-22 15:22:18.658 +0400] INFO: testing that dependencies are properly working

 

0 Kudos
AlexandreV
Dataiker
Dataiker

Hi @Rvk ,

could you try running the following command in your terminal in order to test if you can reach the url?

curl -vvv https://cdn.downloads.dataiku.com/public/launcher/dss-latest.json

 and answer with the output?

Best,
alex

0 Kudos